## rust-laurel 0.5.1

=== man/Makefile ===
TGTS := laurel.8 laurel-about.7
SRCS := $(patsibst %,%.md,$(TGTS))

.PHONY: all
all: $(TGTS)

%: %.md
	pandoc -s -t man -o $@ $^

.PHONY: clean
clean:
	rm -f $(TGTS)

=== contrib/selinux/Makefile ===
include /usr/share/selinux/devel/Makefile

.PHONY: install
install: laurel.pp laurel.if
	install -d $(PREFIX)/usr/share/selinux/packages
	install -m 644 laurel.pp $(PREFIX)/usr/share/selinux/packages
	install -d $(PREFIX)/usr/share/selinux/devel/include/contrib
	install -m 644 laurel.if $(PREFIX)/usr/share/selinux/devel/include/contrib
	# install -d $(PREFIX)/etc/selinux/targeted/contexts/users/
	# install -m 644 laurel_u $(PREFIX)/etc/selinux/targeted/contexts/users/laurel_u

=== debian/changelog ===
rust-laurel (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1

 -- Hilko Bengen <bengen@debian.org>  Fri, 27 Jan 2023 18:52:36 +0100

rust-laurel (0.5.1~pre2-2) unstable; urgency=medium

  * Add patch to fix FTBFS on 32bit architectures

 -- Hilko Bengen <bengen@debian.org>  Tue, 17 Jan 2023 14:08:47 +0100

rust-laurel (0.5.1~pre2-1) unstable; urgency=medium

  * Initial upload
  * Package laurel 0.5.1-pre2 from crates.io using debcargo 2.6.0

 -- Hilko Bengen <bengen@debian.org>  Sun, 08 Jan 2023 20:10:24 +0100

=== debian/control ===
Source: rust-laurel
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 dh-sysuser,
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-bindgen+default-dev (>= 0.56-~~),
 librust-caps+default-dev (>= 0.5-~~),
 librust-exacl+default-dev (>= 0.6-~~),
 librust-getopts+default-dev (>= 0.2-~~),
 librust-indexmap+default-dev (>= 1-~~),
 librust-lazy-static+default-dev (>= 1.4-~~),
 librust-libc+default-dev (>= 0.2-~~),
 librust-nix+default-dev (>= 0.22-~~),
 librust-nom+default-dev (>= 1-~~),
 librust-regex+default-dev (>= 1.5.0-~~),
 librust-serde+default-dev (>= 1-~~),
 librust-serde+derive-dev (>= 1-~~),
 librust-serde-json+default-dev (>= 1-~~),
 librust-serde-json+preserve-order-dev (>= 1-~~),
 librust-tinyvec+alloc-dev (>= 1-~~),
 librust-tinyvec+default-dev (>= 1-~~),
 librust-toml+default-dev (>= 0.5-~~),
 libacl1-dev,
 pandoc,
Maintainer: Hilko Bengen <bengen@debian.org>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/laurel]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/laurel
Homepage: https://github.com/threathunters-io/laurel
X-Cargo-Crate: laurel
Rules-Requires-Root: no

Package: laurel
Architecture: any
Multi-Arch: allowed
Section: admin
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Transform Linux Audit logs for SIEM usage
 LAUREL is an event post-processing plugin for auditd(8) that
 transforms and enriches audit logs to improve their utility for
 modern security monitoring setups.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem cargo --with sysuser

override_dh_auto_build:
	dh_auto_build
	make -C man

override_dh_auto_clean:
	dh_auto_clean
	make -C man clean

override_dh_auto_install:
	dh_auto_install
	mv debian/laurel/usr/bin debian/laurel/usr/sbin

override_dh_install:
	dh_install
	sed -i 's/usr\/local/usr/' debian/laurel/etc/audit/plugins.d/laurel.conf
	sed -i 's/^read-users/# read-users/' debian/laurel/etc/laurel/config.toml

## rust-laurel 0.5.2

=== debian/changelog ===
rust-laurel (0.5.2-1) unstable; urgency=medium

  * New upstream version 0.5.2

 -- Hilko Bengen <bengen@debian.org>  Wed, 03 May 2023 19:33:00 +0200

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,8 @@
  librust-serde+derive-dev (>= 1-~~),
  librust-serde-json+default-dev (>= 1-~~),
  librust-serde-json+preserve-order-dev (>= 1-~~),
+ librust-simple-logger+default-dev (>= 1-~~),
+ librust-syslog-dev (>= 6-~~),
  librust-tinyvec+alloc-dev (>= 1-~~),
  librust-tinyvec+default-dev (>= 1-~~),
  librust-toml+default-dev (>= 0.5-~~),

## rust-laurel 0.5.3

=== debian/changelog ===
rust-laurel (0.5.3-1) unstable; urgency=medium

  * New upstream version 0.5.3
  * Update build-dependencies

 -- Hilko Bengen <bengen@debian.org>  Tue, 18 Jul 2023 16:26:32 +0200

=== debian/control ===
Source: rust-laurel
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-bindgen-0.60+default-dev,
 librust-caps-0.5+default-dev,
 librust-exacl+default-dev (>= 0.6-~~),
 librust-getopts-0.2+default-dev,
 librust-indexmap-1+default-dev,
 librust-lazy-static-1+default-dev,
 librust-libc-0.2+default-dev,
 librust-log-0.4+default-dev,
 librust-nix+default-dev (>= 0.22-~~),
 librust-nom-7+default-dev,
 librust-regex-1+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-serde-json-1+preserve-order-dev,
 librust-signal-hook-0.3+default-dev,
 librust-simple-logger-1+default-dev,
 librust-syslog-6+default-dev,
 librust-tinyvec-1+alloc-dev,
 librust-tinyvec-1+default-dev,
 librust-toml-0.5+default-dev,
 dh-sysuser,
 libacl1-dev,
 pandoc
Maintainer: Hilko Bengen <bengen@debian.org>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/laurel]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/laurel
Homepage: https://github.com/threathunters-io/laurel
X-Cargo-Crate: laurel
Rules-Requires-Root: no

Package: laurel
Architecture: any
Multi-Arch: allowed
Section: admin
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Transform Linux Audit logs for SIEM usage
 LAUREL is an event post-processing plugin for auditd(8) that
 transforms and enriches audit logs to improve their utility for
 modern security monitoring setups.

## rust-laurel 0.5.6

=== benches/Makefile ===
# Generate benchmark flamegraph like this:
#
# $ make -f benches/Makefile binary=./target/release/deps/coalesce_execve-76764715a5348906

binary ?= $(error "Set binary variable")
FG_DIR ?= ~/src/flamegraph

.PHONY: all
all: $(binary).svg

.PHONY: clean
clean:
	rm -f $(binary).prof $(binary).stacks $(binary).svg

.PHONY: view
view: $(binary).svg
	firefox $^

%.svg: %.stacks
	$(FG_DIR)/flamegraph.pl < $^ > $@.t
	mv $@.t $@

%.prof: %
	$<

%.stacks: % %.prof
	google-pprof --collapsed $^ > $@.t
	mv $@.t $@

=== man/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-TGTS := laurel.8 laurel-about.7
+TGTS := laurel.8 laurel-about.7 laurel2audit.8
 SRCS := $(patsibst %,%.md,$(TGTS))
 
 .PHONY: all

=== contrib/performance-data/Makefile ===
all: performance.png performance.svg

.PHONY: clean
clean:
	rm -f *.png *.svg

performance.png: performance.gp $(wildcard *.dat)
	gnuplot -e "set terminal png background '#c0c0c0' ; set output \"$@\"" $<

performance.svg: performance.gp $(wildcard *.dat)
	gnuplot -e "set terminal svg background '#c0c0c0' ; set output \"$@\"" $<

=== debian/changelog ===
rust-laurel (0.5.6-3build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:11:30 +1100

rust-laurel (0.5.6-3) unstable; urgency=medium

  * Team upload.
  * Package laurel 0.5.6 from crates.io using debcargo 2.6.1
  * Fix overflow in time calculation on 32-bit architectures.
  * Skip test parse_syslog on big endian systems, it contains endian-specific
    test data.

 -- Peter Michael Green <plugwash@debian.org>  Wed, 28 Feb 2024 02:08:45 +0000

rust-laurel (0.5.6-2) unstable; urgency=medium

  * Team upload.
  * Package laurel 0.5.6 from crates.io using debcargo 2.6.1
  * Relax dependency on nix, and explicitly enable features we need since
    0.27 and higher don't enable them by default.
  * Disable coalesce_execve bench, it takes longer than I have patience for.
  * Remove gperftools dev-dependency and disable "parse" bench which depends
    on it since rust-gperftools is not in Debian.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 27 Feb 2024 07:30:15 +0000

rust-laurel (0.5.6-1) unstable; urgency=medium

  * Package laurel 0.5.6 from crates.io using debcargo 2.6.1

 -- Hilko Bengen <bengen@debian.org>  Sat, 27 Jan 2024 22:49:35 +0100

rust-laurel (0.5.5-1) unstable; urgency=medium

  * Package laurel 0.5.5 from crates.io using debcargo 2.6.1

 -- Hilko Bengen <bengen@debian.org>  Thu, 04 Jan 2024 10:23:06 +0100

rust-laurel (0.5.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove upper limit from bindgen dependency.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 02 Sep 2023 17:04:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,27 @@
 Source: rust-laurel
-Section: rust
+Section: admin
 Priority: optional
 Build-Depends: debhelper (>= 12),
  dh-cargo (>= 25),
  cargo:native,
- rustc:native,
+ rustc:native (>= 1.56),
  libstd-rust-dev,
- librust-bindgen-0.60+default-dev,
+ librust-anyhow-1+default-dev,
+ librust-bindgen+default-dev (>= 0.60-~~),
  librust-caps-0.5+default-dev,
  librust-exacl+default-dev (>= 0.6-~~),
+ librust-faster-hex-0.9+default-dev,
  librust-getopts-0.2+default-dev,
- librust-indexmap-1+default-dev,
+ librust-indexmap+default-dev (>= 1.9-~~),
+ librust-indexmap+serde-dev (>= 1.9-~~),
  librust-lazy-static-1+default-dev,
  librust-libc-0.2+default-dev,
  librust-log-0.4+default-dev,
- librust-nix+default-dev (>= 0.22-~~),
+ librust-nix-0+default-dev (>= 0.26-~~),
+ librust-nix-0+fs-dev (>= 0.26-~~),
+ librust-nix-0+process-dev (>= 0.26-~~),
+ librust-nix-0+time-dev (>= 0.26-~~),
+ librust-nix-0+user-dev (>= 0.26-~~),
  librust-nom-7+default-dev,
  librust-regex-1+default-dev,
  librust-serde-1+default-dev,
@@ -22,21 +29,73 @@
  librust-serde-json-1+default-dev,
  librust-serde-json-1+preserve-order-dev,
  librust-signal-hook-0.3+default-dev,
- librust-simple-logger-1+default-dev,
+ librust-simple-logger+default-dev (>= 1-~~),
  librust-syslog-6+default-dev,
+ librust-thiserror-1+default-dev,
  librust-tinyvec-1+alloc-dev,
  librust-tinyvec-1+default-dev,
  librust-toml-0.5+default-dev,
  dh-sysuser,
- libacl1-dev,
  pandoc
-Maintainer: Hilko Bengen <bengen@debian.org>
-Standards-Version: 4.6.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
+Uploaders:
+ Hilko Bengen <bengen@debian.org>
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/laurel]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/laurel
 Homepage: https://github.com/threathunters-io/laurel
 X-Cargo-Crate: laurel
 Rules-Requires-Root: no
+
+Package: librust-laurel-dev
+Architecture: any
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ librust-anyhow-1+default-dev,
+ librust-bindgen+default-dev (>= 0.60-~~),
+ librust-caps-0.5+default-dev,
+ librust-exacl+default-dev (>= 0.6-~~),
+ librust-faster-hex-0.9+default-dev,
+ librust-getopts-0.2+default-dev,
+ librust-indexmap+default-dev (>= 1.9-~~),
+ librust-indexmap+serde-dev (>= 1.9-~~),
+ librust-lazy-static-1+default-dev,
+ librust-libc-0.2+default-dev,
+ librust-log-0.4+default-dev,
+ librust-nix-0+default-dev (>= 0.26-~~),
+ librust-nix-0+fs-dev (>= 0.26-~~),
+ librust-nix-0+process-dev (>= 0.26-~~),
+ librust-nix-0+time-dev (>= 0.26-~~),
+ librust-nix-0+user-dev (>= 0.26-~~),
+ librust-nom-7+default-dev,
+ librust-regex-1+default-dev,
+ librust-serde-1+default-dev,
+ librust-serde-1+derive-dev,
+ librust-serde-json-1+default-dev,
+ librust-serde-json-1+preserve-order-dev,
+ librust-signal-hook-0.3+default-dev,
+ librust-simple-logger+default-dev (>= 1-~~),
+ librust-syslog-6+default-dev,
+ librust-thiserror-1+default-dev,
+ librust-tinyvec-1+alloc-dev,
+ librust-tinyvec-1+default-dev,
+ librust-toml-0.5+default-dev
+Provides:
+ librust-laurel+default-dev (= ${binary:Version}),
+ librust-laurel+procfs-dev (= ${binary:Version}),
+ librust-laurel-0-dev (= ${binary:Version}),
+ librust-laurel-0+default-dev (= ${binary:Version}),
+ librust-laurel-0+procfs-dev (= ${binary:Version}),
+ librust-laurel-0.5-dev (= ${binary:Version}),
+ librust-laurel-0.5+default-dev (= ${binary:Version}),
+ librust-laurel-0.5+procfs-dev (= ${binary:Version}),
+ librust-laurel-0.5.6-dev (= ${binary:Version}),
+ librust-laurel-0.5.6+default-dev (= ${binary:Version}),
+ librust-laurel-0.5.6+procfs-dev (= ${binary:Version})
+Description: Transform Linux Audit logs for SIEM usage - Rust source code
+ Source code for Debianized Rust crate "laurel"
 
 Package: laurel
 Architecture: any

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test laurel 0.5.6 --all-targets --all-features
Features: test-name=rust-laurel:@
Depends: dh-cargo (>= 18), librust-bencher-0+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test laurel 0.5.6 --all-targets
Features: test-name=librust-laurel-dev:default
Depends: dh-cargo (>= 18), librust-bencher-0+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test laurel 0.5.6 --all-targets --no-default-features --features procfs
Features: test-name=librust-laurel-dev:procfs
Depends: dh-cargo (>= 18), librust-bencher-0+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test laurel 0.5.6 --all-targets --no-default-features
Features: test-name=librust-laurel-dev:
Depends: dh-cargo (>= 18), librust-bencher-0+default-dev, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/laurel-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/laurel .*/crates/laurel/@ANY_VERSION@/download

## rust-laurel 0.6.2

=== debian/changelog ===
rust-laurel (0.6.2-2build1) oracular; urgency=medium

  * No-change rebuild with rustc 1.80.x.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Sep 2024 16:28:27 +0200

rust-laurel (0.6.2-2) unstable; urgency=medium

  * Team upload.
  * Add upstream patch really fixing sockaddr tests on big-endian. Thanks
    to Peter Green for making me realize that the issue had not been fixed
    upstream. (Closes: #1071597)

 -- Hilko Bengen <bengen@debian.org>  Wed, 22 May 2024 20:53:40 +0200

rust-laurel (0.6.2-1) unstable; urgency=medium

  * Team upload.
  * Package laurel 0.6.2 from crates.io using debcargo 2.6.1
  * Replace dh-sysuser with dh_installsysusers. Thanks to Helmut Grohne.
    Closes: #1069926
  * Drop unneeded patches

 -- Hilko Bengen <bengen@debian.org>  Fri, 17 May 2024 00:36:24 +0200

rust-laurel (0.6.1-4) unstable; urgency=medium

  * Team upload.
  * Package laurel 0.6.1 from crates.io using debcargo 2.6.1
  * Enable signal feature in nix dependency (neded with nix 0.27)

 -- Peter Michael Green <plugwash@debian.org>  Sat, 04 May 2024 12:00:38 +0000

rust-laurel (0.6.1-3) unstable; urgency=medium

  * Team upload.
  * Package laurel 0.6.1 from crates.io using debcargo 2.6.1
  * Use "TimeSpec::new(" instead of "TimeSpec::from(libc::timespec {", the
    time64 patches to rust-libc make the latter fail to build on some
    architectures due to additional padding in the structure.

 -- Peter Michael Green <plugwash@debian.org>  Wed, 01 May 2024 02:49:40 +0000

rust-laurel (0.6.1-2) unstable; urgency=medium

  * Team upload.
  * Package laurel 0.6.1 from crates.io using debcargo 2.6.1
  * Reinstate skip-parse_syslog-on-big-endian.patch and fix it for use
    with new upstream version.  autopkgtest results show it's still needed.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 30 Apr 2024 16:06:51 +0000

rust-laurel (0.6.1-1) unstable; urgency=medium

  * Team upload.
  * Package laurel 0.6.1 from crates.io using debcargo 2.6.1
  * Drop patches: fix-time-overflow, skip-parse_syslog-on-big-endian
  * Remove divan dev-dependency

 -- Hilko Bengen <bengen@debian.org>  Wed, 03 Apr 2024 17:52:57 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper (>= 12),
  dh-cargo (>= 25),
  cargo:native,
- rustc:native (>= 1.56),
+ rustc:native (>= 1.70),
  libstd-rust-dev,
  librust-anyhow-1+default-dev,
  librust-bindgen+default-dev (>= 0.60-~~),
@@ -20,6 +20,7 @@
  librust-nix-0+default-dev (>= 0.26-~~),
  librust-nix-0+fs-dev (>= 0.26-~~),
  librust-nix-0+process-dev (>= 0.26-~~),
+ librust-nix-0+signal-dev (>= 0.26-~~),
  librust-nix-0+time-dev (>= 0.26-~~),
  librust-nix-0+user-dev (>= 0.26-~~),
  librust-nom-7+default-dev,
@@ -34,11 +35,10 @@
  librust-thiserror-1+default-dev,
  librust-tinyvec-1+alloc-dev,
  librust-tinyvec-1+default-dev,
+ librust-tinyvec-1+serde-dev,
  librust-toml-0.5+default-dev,
- dh-sysuser,
  pandoc
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
+Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Hilko Bengen <bengen@debian.org>
 Standards-Version: 4.6.2
@@ -67,6 +67,7 @@
  librust-nix-0+default-dev (>= 0.26-~~),
  librust-nix-0+fs-dev (>= 0.26-~~),
  librust-nix-0+process-dev (>= 0.26-~~),
+ librust-nix-0+signal-dev (>= 0.26-~~),
  librust-nix-0+time-dev (>= 0.26-~~),
  librust-nix-0+user-dev (>= 0.26-~~),
  librust-nom-7+default-dev,
@@ -81,6 +82,7 @@
  librust-thiserror-1+default-dev,
  librust-tinyvec-1+alloc-dev,
  librust-tinyvec-1+default-dev,
+ librust-tinyvec-1+serde-dev,
  librust-toml-0.5+default-dev
 Provides:
  librust-laurel+default-dev (= ${binary:Version}),
@@ -88,12 +90,12 @@
  librust-laurel-0-dev (= ${binary:Version}),
  librust-laurel-0+default-dev (= ${binary:Version}),
  librust-laurel-0+procfs-dev (= ${binary:Version}),
- librust-laurel-0.5-dev (= ${binary:Version}),
- librust-laurel-0.5+default-dev (= ${binary:Version}),
- librust-laurel-0.5+procfs-dev (= ${binary:Version}),
- librust-laurel-0.5.6-dev (= ${binary:Version}),
- librust-laurel-0.5.6+default-dev (= ${binary:Version}),
- librust-laurel-0.5.6+procfs-dev (= ${binary:Version})
+ librust-laurel-0.6-dev (= ${binary:Version}),
+ librust-laurel-0.6+default-dev (= ${binary:Version}),
+ librust-laurel-0.6+procfs-dev (= ${binary:Version}),
+ librust-laurel-0.6.2-dev (= ${binary:Version}),
+ librust-laurel-0.6.2+default-dev (= ${binary:Version}),
+ librust-laurel-0.6.2+procfs-dev (= ${binary:Version})
 Description: Transform Linux Audit logs for SIEM usage - Rust source code
  Source code for Debianized Rust crate "laurel"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test laurel 0.6.2 --all-targets --all-features
Features: test-name=rust-laurel:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test laurel 0.6.2 --all-targets
Features: test-name=librust-laurel-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test laurel 0.6.2 --all-targets --no-default-features --features procfs
Features: test-name=librust-laurel-dev:procfs
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test laurel 0.6.2 --all-targets --no-default-features
Features: test-name=librust-laurel-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

## rust-laurel 0.6.3

=== debian/changelog ===
rust-laurel (0.6.3-1) unstable; urgency=medium

  * Team upload.
  * Package laurel 0.6.3 from crates.io using debcargo 2.6.1
  * B-D libdebhelper-perl for dh_installsysusers
  * Update and consolidate benches related patches into disable-benches.patch

 -- Blair Noctis <ncts@debian.org>  Wed, 11 Sep 2024 08:33:37 +0000

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  librust-exacl+default-dev (>= 0.6-~~),
  librust-faster-hex-0.9+default-dev,
  librust-getopts-0.2+default-dev,
- librust-indexmap+default-dev (>= 1.9-~~),
- librust-indexmap+serde-dev (>= 1.9-~~),
+ librust-indexmap-2+default-dev,
+ librust-indexmap-2+serde-dev,
  librust-lazy-static-1+default-dev,
  librust-libc-0.2+default-dev,
  librust-log-0.4+default-dev,
@@ -37,7 +37,8 @@
  librust-tinyvec-1+default-dev,
  librust-tinyvec-1+serde-dev,
  librust-toml-0.5+default-dev,
- pandoc
+ pandoc,
+ libdebhelper-perl
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Hilko Bengen <bengen@debian.org>
@@ -59,8 +60,8 @@
  librust-exacl+default-dev (>= 0.6-~~),
  librust-faster-hex-0.9+default-dev,
  librust-getopts-0.2+default-dev,
- librust-indexmap+default-dev (>= 1.9-~~),
- librust-indexmap+serde-dev (>= 1.9-~~),
+ librust-indexmap-2+default-dev,
+ librust-indexmap-2+serde-dev,
  librust-lazy-static-1+default-dev,
  librust-libc-0.2+default-dev,
  librust-log-0.4+default-dev,
@@ -93,9 +94,9 @@
  librust-laurel-0.6-dev (= ${binary:Version}),
  librust-laurel-0.6+default-dev (= ${binary:Version}),
  librust-laurel-0.6+procfs-dev (= ${binary:Version}),
- librust-laurel-0.6.2-dev (= ${binary:Version}),
- librust-laurel-0.6.2+default-dev (= ${binary:Version}),
- librust-laurel-0.6.2+procfs-dev (= ${binary:Version})
+ librust-laurel-0.6.3-dev (= ${binary:Version}),
+ librust-laurel-0.6.3+default-dev (= ${binary:Version}),
+ librust-laurel-0.6.3+procfs-dev (= ${binary:Version})
 Description: Transform Linux Audit logs for SIEM usage - Rust source code
  Source code for Debianized Rust crate "laurel"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test laurel 0.6.3 --all-targets --all-features
Features: test-name=rust-laurel:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test laurel 0.6.3 --all-targets
Features: test-name=librust-laurel-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test laurel 0.6.3 --all-targets --no-default-features --features procfs
Features: test-name=librust-laurel-dev:procfs
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test laurel 0.6.3 --all-targets --no-default-features
Features: test-name=librust-laurel-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

## rust-laurel 0.6.4

=== debian/changelog ===
rust-laurel (0.6.4-1) unstable; urgency=medium

  * Package laurel 0.6.4 from crates.io using debcargo 2.7.5

 -- Hilko Bengen <bengen@debian.org>  Wed, 08 Jan 2025 00:13:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: rust-laurel
 Section: admin
 Priority: optional
-Build-Depends: debhelper (>= 12),
- dh-cargo (>= 25),
+Build-Depends: debhelper-compat (= 13),
+ dh-sequence-cargo,
  cargo:native,
  rustc:native (>= 1.70),
  libstd-rust-dev,
@@ -16,6 +16,7 @@
  librust-indexmap-2+serde-dev,
  librust-lazy-static-1+default-dev,
  librust-libc-0.2+default-dev,
+ librust-linux-audit-parser-0.2+default-dev (>= 0.2.1-~~),
  librust-log-0.4+default-dev,
  librust-nix-0+default-dev (>= 0.26-~~),
  librust-nix-0+fs-dev (>= 0.26-~~),
@@ -23,7 +24,6 @@
  librust-nix-0+signal-dev (>= 0.26-~~),
  librust-nix-0+time-dev (>= 0.26-~~),
  librust-nix-0+user-dev (>= 0.26-~~),
- librust-nom-7+default-dev,
  librust-regex-1+default-dev,
  librust-serde-1+default-dev,
  librust-serde-1+derive-dev,
@@ -32,7 +32,7 @@
  librust-signal-hook-0.3+default-dev,
  librust-simple-logger+default-dev (>= 1-~~),
  librust-syslog-6+default-dev,
- librust-thiserror-1+default-dev,
+ librust-thiserror+default-dev (>= 1-~~),
  librust-tinyvec-1+alloc-dev,
  librust-tinyvec-1+default-dev,
  librust-tinyvec-1+serde-dev,
@@ -42,7 +42,7 @@
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Hilko Bengen <bengen@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/laurel]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/laurel
 Homepage: https://github.com/threathunters-io/laurel
@@ -64,6 +64,7 @@
  librust-indexmap-2+serde-dev,
  librust-lazy-static-1+default-dev,
  librust-libc-0.2+default-dev,
+ librust-linux-audit-parser-0.2+default-dev (>= 0.2.1-~~),
  librust-log-0.4+default-dev,
  librust-nix-0+default-dev (>= 0.26-~~),
  librust-nix-0+fs-dev (>= 0.26-~~),
@@ -71,7 +72,6 @@
  librust-nix-0+signal-dev (>= 0.26-~~),
  librust-nix-0+time-dev (>= 0.26-~~),
  librust-nix-0+user-dev (>= 0.26-~~),
- librust-nom-7+default-dev,
  librust-regex-1+default-dev,
  librust-serde-1+default-dev,
  librust-serde-1+derive-dev,
@@ -80,7 +80,7 @@
  librust-signal-hook-0.3+default-dev,
  librust-simple-logger+default-dev (>= 1-~~),
  librust-syslog-6+default-dev,
- librust-thiserror-1+default-dev,
+ librust-thiserror+default-dev (>= 1-~~),
  librust-tinyvec-1+alloc-dev,
  librust-tinyvec-1+default-dev,
  librust-tinyvec-1+serde-dev,
@@ -94,9 +94,9 @@
  librust-laurel-0.6-dev (= ${binary:Version}),
  librust-laurel-0.6+default-dev (= ${binary:Version}),
  librust-laurel-0.6+procfs-dev (= ${binary:Version}),
- librust-laurel-0.6.3-dev (= ${binary:Version}),
- librust-laurel-0.6.3+default-dev (= ${binary:Version}),
- librust-laurel-0.6.3+procfs-dev (= ${binary:Version})
+ librust-laurel-0.6.4-dev (= ${binary:Version}),
+ librust-laurel-0.6.4+default-dev (= ${binary:Version}),
+ librust-laurel-0.6.4+procfs-dev (= ${binary:Version})
 Description: Transform Linux Audit logs for SIEM usage - Rust source code
  Source code for Debianized Rust crate "laurel"
 
@@ -115,7 +115,7 @@
 Provides:
  ${cargo:Provides}
 Built-Using: ${cargo:Built-Using}
-XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
+Static-Built-Using: ${cargo:Static-Built-Using}
 Description: Transform Linux Audit logs for SIEM usage
  LAUREL is an event post-processing plugin for auditd(8) that
  transforms and enriches audit logs to improve their utility for

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test laurel 0.6.4 --all-targets --all-features
Features: test-name=rust-laurel:@
Depends: dh-cargo (>= 31), rustc (>= 1.70), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test laurel 0.6.4 --all-targets
Features: test-name=librust-laurel-dev:default
Depends: dh-cargo (>= 31), rustc (>= 1.70), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test laurel 0.6.4 --all-targets --no-default-features --features procfs
Features: test-name=librust-laurel-dev:procfs
Depends: dh-cargo (>= 31), rustc (>= 1.70), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test laurel 0.6.4 --all-targets --no-default-features
Features: test-name=librust-laurel-dev:
Depends: dh-cargo (>= 31), rustc (>= 1.70), @
Restrictions: allow-stderr, skip-not-installable

## rust-laurel 0.6.5

=== debian/changelog ===
rust-laurel (0.6.5-1) unstable; urgency=medium

  * Package laurel 0.6.5 from crates.io using debcargo 2.7.6

 -- Hilko Bengen <bengen@debian.org>  Wed, 29 Jan 2025 10:13:58 +0100

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,13 @@
  librust-bindgen+default-dev (>= 0.60-~~),
  librust-caps-0.5+default-dev,
  librust-exacl+default-dev (>= 0.6-~~),
- librust-faster-hex-0.9+default-dev,
+ librust-faster-hex+default-dev (>= 0.9-~~),
  librust-getopts-0.2+default-dev,
  librust-indexmap-2+default-dev,
  librust-indexmap-2+serde-dev,
  librust-lazy-static-1+default-dev,
  librust-libc-0.2+default-dev,
- librust-linux-audit-parser-0.2+default-dev (>= 0.2.1-~~),
+ librust-linux-audit-parser-0.2+default-dev (>= 0.2.3-~~),
  librust-log-0.4+default-dev,
  librust-nix-0+default-dev (>= 0.26-~~),
  librust-nix-0+fs-dev (>= 0.26-~~),
@@ -31,12 +31,12 @@
  librust-serde-json-1+preserve-order-dev,
  librust-signal-hook-0.3+default-dev,
  librust-simple-logger+default-dev (>= 1-~~),
- librust-syslog-6+default-dev,
+ librust-syslog+default-dev (>= 6-~~),
  librust-thiserror+default-dev (>= 1-~~),
  librust-tinyvec-1+alloc-dev,
  librust-tinyvec-1+default-dev,
  librust-tinyvec-1+serde-dev,
- librust-toml-0.5+default-dev,
+ librust-toml+default-dev (>= 0.5-~~),
  pandoc,
  libdebhelper-perl
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
@@ -58,13 +58,13 @@
  librust-bindgen+default-dev (>= 0.60-~~),
  librust-caps-0.5+default-dev,
  librust-exacl+default-dev (>= 0.6-~~),
- librust-faster-hex-0.9+default-dev,
+ librust-faster-hex+default-dev (>= 0.9-~~),
  librust-getopts-0.2+default-dev,
  librust-indexmap-2+default-dev,
  librust-indexmap-2+serde-dev,
  librust-lazy-static-1+default-dev,
  librust-libc-0.2+default-dev,
- librust-linux-audit-parser-0.2+default-dev (>= 0.2.1-~~),
+ librust-linux-audit-parser-0.2+default-dev (>= 0.2.3-~~),
  librust-log-0.4+default-dev,
  librust-nix-0+default-dev (>= 0.26-~~),
  librust-nix-0+fs-dev (>= 0.26-~~),
@@ -79,12 +79,12 @@
  librust-serde-json-1+preserve-order-dev,
  librust-signal-hook-0.3+default-dev,
  librust-simple-logger+default-dev (>= 1-~~),
- librust-syslog-6+default-dev,
+ librust-syslog+default-dev (>= 6-~~),
  librust-thiserror+default-dev (>= 1-~~),
  librust-tinyvec-1+alloc-dev,
  librust-tinyvec-1+default-dev,
  librust-tinyvec-1+serde-dev,
- librust-toml-0.5+default-dev
+ librust-toml+default-dev (>= 0.5-~~)
 Provides:
  librust-laurel+default-dev (= ${binary:Version}),
  librust-laurel+procfs-dev (= ${binary:Version}),
@@ -94,9 +94,9 @@
  librust-laurel-0.6-dev (= ${binary:Version}),
  librust-laurel-0.6+default-dev (= ${binary:Version}),
  librust-laurel-0.6+procfs-dev (= ${binary:Version}),
- librust-laurel-0.6.4-dev (= ${binary:Version}),
- librust-laurel-0.6.4+default-dev (= ${binary:Version}),
- librust-laurel-0.6.4+procfs-dev (= ${binary:Version})
+ librust-laurel-0.6.5-dev (= ${binary:Version}),
+ librust-laurel-0.6.5+default-dev (= ${binary:Version}),
+ librust-laurel-0.6.5+procfs-dev (= ${binary:Version})
 Description: Transform Linux Audit logs for SIEM usage - Rust source code
  Source code for Debianized Rust crate "laurel"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test laurel 0.6.5 --all-targets --all-features
Features: test-name=rust-laurel:@
Depends: dh-cargo (>= 31), rustc (>= 1.70), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test laurel 0.6.5 --all-targets
Features: test-name=librust-laurel-dev:default
Depends: dh-cargo (>= 31), rustc (>= 1.70), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test laurel 0.6.5 --all-targets --no-default-features --features procfs
Features: test-name=librust-laurel-dev:procfs
Depends: dh-cargo (>= 31), rustc (>= 1.70), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test laurel 0.6.5 --all-targets --no-default-features
Features: test-name=librust-laurel-dev:
Depends: dh-cargo (>= 31), rustc (>= 1.70), @
Restrictions: allow-stderr, skip-not-installable

## rust-laurel 0.7.0

=== debian/changelog ===
rust-laurel (0.7.0-1) unstable; urgency=medium

  * Package laurel 0.7.0 from crates.io using debcargo 2.7.7

 -- Hilko Bengen <bengen@debian.org>  Tue, 04 Mar 2025 11:33:28 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  librust-indexmap-2+serde-dev,
  librust-lazy-static-1+default-dev,
  librust-libc-0.2+default-dev,
- librust-linux-audit-parser-0.2+default-dev (>= 0.2.3-~~),
+ librust-linux-audit-parser-0.2+default-dev (>= 0.2.6-~~),
  librust-log-0.4+default-dev,
  librust-nix-0+default-dev (>= 0.26-~~),
  librust-nix-0+fs-dev (>= 0.26-~~),
@@ -27,8 +27,10 @@
  librust-regex-1+default-dev,
  librust-serde-1+default-dev,
  librust-serde-1+derive-dev,
+ librust-serde-bytes-0.11+default-dev,
  librust-serde-json-1+default-dev,
  librust-serde-json-1+preserve-order-dev,
+ librust-serde-with-3+macros-dev,
  librust-signal-hook-0.3+default-dev,
  librust-simple-logger+default-dev (>= 1-~~),
  librust-syslog+default-dev (>= 6-~~),
@@ -64,7 +66,7 @@
  librust-indexmap-2+serde-dev,
  librust-lazy-static-1+default-dev,
  librust-libc-0.2+default-dev,
- librust-linux-audit-parser-0.2+default-dev (>= 0.2.3-~~),
+ librust-linux-audit-parser-0.2+default-dev (>= 0.2.6-~~),
  librust-log-0.4+default-dev,
  librust-nix-0+default-dev (>= 0.26-~~),
  librust-nix-0+fs-dev (>= 0.26-~~),
@@ -75,8 +77,10 @@
  librust-regex-1+default-dev,
  librust-serde-1+default-dev,
  librust-serde-1+derive-dev,
+ librust-serde-bytes-0.11+default-dev,
  librust-serde-json-1+default-dev,
  librust-serde-json-1+preserve-order-dev,
+ librust-serde-with-3+macros-dev,
  librust-signal-hook-0.3+default-dev,
  librust-simple-logger+default-dev (>= 1-~~),
  librust-syslog+default-dev (>= 6-~~),
@@ -91,12 +95,12 @@
  librust-laurel-0-dev (= ${binary:Version}),
  librust-laurel-0+default-dev (= ${binary:Version}),
  librust-laurel-0+procfs-dev (= ${binary:Version}),
- librust-laurel-0.6-dev (= ${binary:Version}),
- librust-laurel-0.6+default-dev (= ${binary:Version}),
- librust-laurel-0.6+procfs-dev (= ${binary:Version}),
- librust-laurel-0.6.5-dev (= ${binary:Version}),
- librust-laurel-0.6.5+default-dev (= ${binary:Version}),
- librust-laurel-0.6.5+procfs-dev (= ${binary:Version})
+ librust-laurel-0.7-dev (= ${binary:Version}),
+ librust-laurel-0.7+default-dev (= ${binary:Version}),
+ librust-laurel-0.7+procfs-dev (= ${binary:Version}),
+ librust-laurel-0.7.0-dev (= ${binary:Version}),
+ librust-laurel-0.7.0+default-dev (= ${binary:Version}),
+ librust-laurel-0.7.0+procfs-dev (= ${binary:Version})
 Description: Transform Linux Audit logs for SIEM usage - Rust source code
  Source code for Debianized Rust crate "laurel"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test laurel 0.7.0 --all-targets --all-features
Features: test-name=rust-laurel:@
Depends: dh-cargo (>= 31), rustc (>= 1.70), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test laurel 0.7.0 --all-targets
Features: test-name=librust-laurel-dev:default
Depends: dh-cargo (>= 31), rustc (>= 1.70), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test laurel 0.7.0 --all-targets --no-default-features --features procfs
Features: test-name=librust-laurel-dev:procfs
Depends: dh-cargo (>= 31), rustc (>= 1.70), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test laurel 0.7.0 --all-targets --no-default-features
Features: test-name=librust-laurel-dev:
Depends: dh-cargo (>= 31), rustc (>= 1.70), @
Restrictions: allow-stderr, skip-not-installable

## rust-laurel 0.7.1

=== man/Makefile ===
TGTS := laurel.8 laurel-about.7 laurel-audit-rules.7 laurel2audit.8
SRCS := $(patsibst %,%.md,$(TGTS))

.PHONY: all
all: $(TGTS)

%: %.md
	pandoc -s -t man -o $@ $^

%.html: %.md
	pandoc -s -t html -o $@ $^

.PHONY: clean
clean:
	rm -f $(TGTS)

=== contrib/selinux/Makefile ===
--- 
+++ 
@@ -1,4 +1,10 @@
+# auditd 2.x and 3.x are different in how they launch plugins.
+# Override AUDIT_AUDIT_VERSIONS to select only one variant.
+AUDITD_VERSIONS = 2 3
+
 include /usr/share/selinux/devel/Makefile
+
+M4PARAM += $(foreach v,$(AUDITD_VERSIONS),-D audit$(v))
 
 .PHONY: install
 install: laurel.pp laurel.if

=== debian/changelog ===
rust-laurel (0.7.1-1) unstable; urgency=medium

  * Package laurel 0.7.1 from crates.io using debcargo 2.7.7

 -- Hilko Bengen <bengen@debian.org>  Thu, 13 Mar 2025 23:35:22 +0100

=== debian/control ===
--- 
+++ 
@@ -98,9 +98,9 @@
  librust-laurel-0.7-dev (= ${binary:Version}),
  librust-laurel-0.7+default-dev (= ${binary:Version}),
  librust-laurel-0.7+procfs-dev (= ${binary:Version}),
- librust-laurel-0.7.0-dev (= ${binary:Version}),
- librust-laurel-0.7.0+default-dev (= ${binary:Version}),
- librust-laurel-0.7.0+procfs-dev (= ${binary:Version})
+ librust-laurel-0.7.1-dev (= ${binary:Version}),
+ librust-laurel-0.7.1+default-dev (= ${binary:Version}),
+ librust-laurel-0.7.1+procfs-dev (= ${binary:Version})
 Description: Transform Linux Audit logs for SIEM usage - Rust source code
  Source code for Debianized Rust crate "laurel"

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 %:
-	dh $@ --buildsystem cargo --with sysuser
+	dh $@ --buildsystem cargo --with installsysusers
 
 override_dh_auto_build:
 	dh_auto_build

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test laurel 0.7.1 --all-targets --all-features
Features: test-name=rust-laurel:@
Depends: dh-cargo (>= 31), rustc (>= 1.70), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test laurel 0.7.1 --all-targets
Features: test-name=librust-laurel-dev:default
Depends: dh-cargo (>= 31), rustc (>= 1.70), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test laurel 0.7.1 --all-targets --no-default-features --features procfs
Features: test-name=librust-laurel-dev:procfs
Depends: dh-cargo (>= 31), rustc (>= 1.70), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test laurel 0.7.1 --all-targets --no-default-features
Features: test-name=librust-laurel-dev:
Depends: dh-cargo (>= 31), rustc (>= 1.70), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/laurel-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/laurel .*/crates/laurel/@ANY_VERSION@/download

## rust-laurel 0.7.3

=== debian/changelog ===
rust-laurel (0.7.3-2) unstable; urgency=medium

  * Add patch to disable filter_sockaddr test on big-endian
  * Fix /etc/auditd directory permissions (Closes: #1082432)

 -- Hilko Bengen <bengen@debian.org>  Wed, 25 Feb 2026 00:58:55 +0100

rust-laurel (0.7.3-1) unstable; urgency=medium

  * Package laurel 0.7.3 from crates.io using debcargo 2.7.8

 -- Hilko Bengen <bengen@debian.org>  Thu, 12 Feb 2026 10:06:07 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,9 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
  dh-sequence-cargo,
- cargo:native,
+ pandoc,
+ libdebhelper-perl
+Build-Depends-Arch: cargo:native,
  rustc:native (>= 1.70),
  libstd-rust-dev,
  librust-anyhow-1+default-dev,
@@ -14,6 +16,7 @@
  librust-getopts-0.2+default-dev,
  librust-indexmap-2+default-dev,
  librust-indexmap-2+serde-dev,
+ librust-ipnetwork-0.21+default-dev (>= 0.21.1-~~),
  librust-lazy-static-1+default-dev,
  librust-libc-0.2+default-dev,
  librust-linux-audit-parser-0.2+default-dev (>= 0.2.6-~~),
@@ -38,9 +41,7 @@
  librust-tinyvec-1+alloc-dev,
  librust-tinyvec-1+default-dev,
  librust-tinyvec-1+serde-dev,
- librust-toml+default-dev (>= 0.5-~~),
- pandoc,
- libdebhelper-perl
+ librust-toml+default-dev (>= 0.5-~~)
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Hilko Bengen <bengen@debian.org>
@@ -64,6 +65,7 @@
  librust-getopts-0.2+default-dev,
  librust-indexmap-2+default-dev,
  librust-indexmap-2+serde-dev,
+ librust-ipnetwork-0.21+default-dev (>= 0.21.1-~~),
  librust-lazy-static-1+default-dev,
  librust-libc-0.2+default-dev,
  librust-linux-audit-parser-0.2+default-dev (>= 0.2.6-~~),
@@ -98,15 +100,14 @@
  librust-laurel-0.7-dev (= ${binary:Version}),
  librust-laurel-0.7+default-dev (= ${binary:Version}),
  librust-laurel-0.7+procfs-dev (= ${binary:Version}),
- librust-laurel-0.7.1-dev (= ${binary:Version}),
- librust-laurel-0.7.1+default-dev (= ${binary:Version}),
- librust-laurel-0.7.1+procfs-dev (= ${binary:Version})
+ librust-laurel-0.7.3-dev (= ${binary:Version}),
+ librust-laurel-0.7.3+default-dev (= ${binary:Version}),
+ librust-laurel-0.7.3+procfs-dev (= ${binary:Version})
 Description: Transform Linux Audit logs for SIEM usage - Rust source code
  Source code for Debianized Rust crate "laurel"
 
 Package: laurel
 Architecture: any
-Multi-Arch: allowed
 Section: admin
 Depends:
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -18,3 +18,7 @@
 	dh_install
 	sed -i 's/usr\/local/usr/' debian/laurel/etc/audit/plugins.d/laurel.conf
 	sed -i 's/^read-users/# read-users/' debian/laurel/etc/laurel/config.toml
+
+override_dh_fixperms-arch:
+	dh_fixperms -a
+	chmod -R o-rwx debian/laurel/etc/audit

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test laurel 0.7.3 --all-targets --all-features
Features: test-name=rust-laurel:@
Depends: dh-cargo (>= 31), rustc (>= 1.70), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test laurel 0.7.3 --all-targets
Features: test-name=librust-laurel-dev:default
Depends: dh-cargo (>= 31), rustc (>= 1.70), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test laurel 0.7.3 --all-targets --no-default-features --features procfs
Features: test-name=librust-laurel-dev:procfs
Depends: dh-cargo (>= 31), rustc (>= 1.70), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test laurel 0.7.3 --all-targets --no-default-features
Features: test-name=librust-laurel-dev:
Depends: dh-cargo (>= 31), rustc (>= 1.70), @
Restrictions: allow-stderr, skip-not-installable
